Name:           monsterz
Version:        0.7.1
Release:        4%{?dist}
Summary:        Puzzle game, similar to Bejeweled or Zookeeper
Group:          Amusements/Games
License:        WTFPL
URL:            http://sam.zoy.org/monsterz/
Source0:        http://sam.zoy.org/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.score
Patch0:         %{name}-0.7.1-userpmopts.patch
Patch1:         %{name}-0.7.1-64bitfix.patch
Patch2:         %{name}-0.7.1-blit-crash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils
Requires:       pygame
Requires:       hicolor-icon-theme
Provides:       %{name}-data = %{version}-%{release}
Obsoletes:      %{name}-data < 0.7.1

%description
Monsterz is a little arcade puzzle game, similar to the famous Bejeweled or
Zookeeper. The goal of the game is to create rows of similar monsters, either
horizontally or vertically. The only allowed move is the swap of two adjacent
monsters, on the condition that it creates a row of three or more. When
alignments are cleared, pieces fall from the top of the screen to fill the
board again. Chain reactions earn you even more points.


%prep
%setup -q
%patch0 -p1
%ifarch x86_64 ppc64
%patch1 -p1
%endif
%patch2 -p0


%build
make %{?_smp_mflags} prefix=%{_usr} datadir=%{_datadir} pkgdatadir=%{_datadir}/%{name} CFLAGS="%{optflags}"

# Build desktop icon
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Monsterz
GenericName=Monsterz Puzzle Game
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF


%install
rm -rf %{buildroot}
# Bypass make install as it requires root priviledges and the SRPM
# may not necessarily be built as root
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/{applications,icons/hicolor/64x64/apps}
mkdir -p %{buildroot}%{_datadir}/%{name}/{graphics,sound}
mkdir -p %{buildroot}%{_var}/games
install -pm0755 %{name} %{buildroot}%{_bindir}
install -pm0755 %{name}.py %{buildroot}%{_datadir}/%{name}
cp -a graphics/* %{buildroot}%{_datadir}/%{name}/graphics
cp -a sound/* %{buildroot}%{_datadir}/%{name}/sound

install -pm0664 %{SOURCE1} %{buildroot}%{_var}/games/%{name}

desktop-file-install --vendor fedora \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -pm0644 graphics/icon.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/%{name}
%attr(2755,root,games) %{_bindir}/%{name}
%attr(-,root,games) %config(noreplace) %{_var}/games/%{name}
%doc AUTHORS COPYING README TODO


%changelog
* Thu Feb 05 2009 Rafał Psota <rafalzaq@gmail.com> - 0.7.1-4
- fixed #473763

* Tue Feb 26 2008 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.1-3
- Fix for BZ 434688

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.1-2
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.1-1
- Upgrade to 0.7.1
- Drop separate data package as it's unnecessary
- Merge .desktop back into SPEC
- Various spec cleanups
- Updated the "use rpm opts" patch
- Use the icon now supplied

* Wed Aug 22 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-8
- Release bump for F8 mass rebuild

* Mon Aug 28 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-7
- Release bump for FC6 mass rebuild

* Tue Jul 25 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-6
- Split data into a separate package.

* Sun Jul 23 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-5
- Moved .desktop external to spec
- Moved score file external to spec
- License changed to WTFPL
- Use %%{_datadir}/%%{name} not %%{_datadir}/games/%%{name}

* Sun Jul 09 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-4
- Moved icon installation to make it freedesktop compliant
- Added %%post and %%postun sections to update icon cache at installation
- Move hiscore table and .desktop generation to %%build

* Sat Jun 24 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-3
- Cosmetic fixes for the Dribble repository

* Mon May 29 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-2
- Replace %%{__rm} in clean section with rm
- Added patch to compile using rpmoptflags

* Mon May 22 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.7.0-1.iss
- Initial Release
